import{s as nn,n as on,o as sn}from"../chunks/scheduler.0219f8bd.js";import{S as dn,i as ln,g as d,s as i,r as a,A as cn,h as l,f as n,c as s,j as u,u as p,x as r,k as c,y as rn,a as o,v as f,d as x,t as m,w as b}from"../chunks/index.f61edf3b.js";import{C as an}from"../chunks/CodeBlock.38e566ae.js";import{H as v,E as un}from"../chunks/EditOnGithub.48fa589f.js";function pn(Xt){let k,xe,pe,me,_,be,$,ve,h,gt=`Handler file for choosing the correct version of ONNX Runtime, based on the environment.
Ideally, we could import the <code>onnxruntime-web</code> and <code>onnxruntime-node</code> packages only when needed,
but dynamic imports don’t seem to work with the current webpack version and/or configuration.
This is possibly due to the experimental nature of top-level await statements.
So, we just import both packages, and use the appropriate one based on the environment:`,ke,N,Lt="<li>When running in node, we use <code>onnxruntime-node</code>.</li> <li>When running in the browser, we use <code>onnxruntime-web</code> (<code>onnxruntime-node</code> is not bundled).</li>",_e,T,It="This module is not directly exported, but can be accessed through the environment variables:",$e,P,he,E,At='<li><a href="#module_backends/onnx">backends/onnx</a><ul><li><em>static</em><ul><li><a href="#module_backends/onnx.deviceToExecutionProviders"><code>.deviceToExecutionProviders([device])</code></a> ⇒ <code>Array.&lt;ONNXExecutionProviders&gt;</code></li> <li><a href="#module_backends/onnx.createInferenceSession"><code>.createInferenceSession(buffer, session_options, session_config)</code></a> ⇒ <code>*</code></li> <li><a href="#module_backends/onnx.isONNXTensor"><code>.isONNXTensor(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_backends/onnx.isONNXProxy"><code>.isONNXProxy()</code></a> ⇒ <code>boolean</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_backends/onnx..defaultDevices"><code>~defaultDevices</code></a> : <code>Array.&lt;ONNXExecutionProviders&gt;</code></li> <li><a href="#module_backends/onnx..wasmInitPromise"><code>~wasmInitPromise</code></a> : <code>Promise&lt;any&gt;</code> | <code>null</code></li> <li><a href="#module_backends/onnx..DEVICE_TO_EXECUTION_PROVIDER_MAPPING"><code>~DEVICE_TO_EXECUTION_PROVIDER_MAPPING</code></a> : <code>*</code></li> <li><a href="#module_backends/onnx..supportedDevices"><code>~supportedDevices</code></a> : <code>*</code></li> <li><a href="#module_backends/onnx..ONNX_ENV"><code>~ONNX_ENV</code></a> : <code>*</code></li> <li><a href="#module_backends/onnx..ONNXExecutionProviders"><code>~ONNXExecutionProviders</code></a> : <code>*</code></li></ul></li></ul></li>',Ne,Te,Pe,y,Ee,w,ye,O,Rt="Map a device to the execution providers to use for the given device.",we,C,Dt='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;ONNXExecutionProviders&gt;</code> - The execution providers to use for the given device.',Oe,H,jt="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>[device]</td><td><code>*</code></td><td><code></code></td><td><p>(Optional) The device to run the inference on.</p></td></tr></tbody>",Ce,He,Me,M,Xe,X,ge,g,Vt="Create an ONNX inference session.",Le,L,St='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>*</code> - The ONNX inference session.',Ie,I,Wt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>buffer</td><td><code>Uint8Array</code></td><td><p>The ONNX model buffer.</p></td> </tr><tr><td>session_options</td><td><code>*</code></td><td><p>ONNX inference session options.</p></td> </tr><tr><td>session_config</td><td><code>Object</code></td><td><p>ONNX inference session configuration.</p></td></tr></tbody>",Ae,Re,De,A,je,R,Ve,D,Ut="Check if an object is an ONNX tensor.",Se,j,Kt='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - Whether the object is an ONNX tensor.',We,V,Jt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>any</code></td><td><p>The object to check</p></td></tr></tbody>",Ue,Ke,Je,S,Ze,W,ze,U,Zt="Check if ONNX’s WASM backend is being proxied.",Ge,K,zt='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - Whether ONNX’s WASM backend is being proxied.',Be,qe,Fe,J,Ye,Z,Qe,z,Gt='<strong>Kind</strong>: inner property of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',et,tt,nt,G,ot,B,it,q,Bt=`To prevent multiple calls to <code>initWasm()</code>, we store the first call in a Promise
that is resolved when the first InferenceSession is created. Subsequent calls
will wait for this Promise to resolve before creating their own InferenceSession.`,st,F,qt='<strong>Kind</strong>: inner property of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',dt,lt,ct,Y,rt,Q,at,ee,Ft='<strong>Kind</strong>: inner constant of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',ut,pt,ft,te,xt,ne,mt,oe,Yt="The list of supported devices, sorted by priority/performance.",bt,ie,Qt='<strong>Kind</strong>: inner constant of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',vt,kt,_t,se,$t,de,ht,le,en='<strong>Kind</strong>: inner constant of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',Nt,Tt,Pt,ce,Et,re,yt,ae,tn='<strong>Kind</strong>: inner typedef of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',wt,Ot,Ct,ue,Ht,fe,Mt;return $=new v({props:{title:"backends/onnx",local:"backendsonnx",headingTag:"h1"}}),P=new an({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFjb25zb2xlLmxvZyhlbnYuYmFja2VuZHMub25ueCklM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
<span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(env.<span class="hljs-property">backends</span>.<span class="hljs-property">onnx</span>);`,wrap:!1}}),w=new v({props:{title:"backends/onnx.deviceToExecutionProviders([device]) ⇒ <code> Array. < ONNXExecutionProviders > </code>",local:"backendsonnxdevicetoexecutionprovidersdevice--code-array--onnxexecutionproviders--code",headingTag:"h2"}}),X=new v({props:{title:"backends/onnx.createInferenceSession(buffer, session_options, session_config) ⇒ <code> * </code>",local:"backendsonnxcreateinferencesessionbuffer-sessionoptions-sessionconfig--code--code",headingTag:"h2"}}),R=new v({props:{title:"backends/onnx.isONNXTensor(x) ⇒ <code> boolean </code>",local:"backendsonnxisonnxtensorx--code-boolean-code",headingTag:"h2"}}),W=new v({props:{title:"backends/onnx.isONNXProxy() ⇒ <code> boolean </code>",local:"backendsonnxisonnxproxy--code-boolean-code",headingTag:"h2"}}),Z=new v({props:{title:"backends/onnx~defaultDevices : <code> Array. < ONNXExecutionProviders > </code>",local:"backendsonnxdefaultdevices--code-array--onnxexecutionproviders--code",headingTag:"h2"}}),B=new v({props:{title:"backends/onnx~wasmInitPromise : <code> Promise < any > </code> | <code> null </code>",local:"backendsonnxwasminitpromise--code-promise--any--code--code-null-code",headingTag:"h2"}}),Q=new v({props:{title:"backends/onnx~DEVICE_TO_EXECUTION_PROVIDER_MAPPING : <code> * </code>",local:"backendsonnxdevicetoexecutionprovidermapping--code--code",headingTag:"h2"}}),ne=new v({props:{title:"backends/onnx~supportedDevices : <code> * </code>",local:"backendsonnxsupporteddevices--code--code",headingTag:"h2"}}),de=new v({props:{title:"backends/onnx~ONNX_ENV : <code> * </code>",local:"backendsonnxonnxenv--code--code",headingTag:"h2"}}),re=new v({props:{title:"backends/onnx~ONNXExecutionProviders : <code> * </code>",local:"backendsonnxonnxexecutionproviders--code--code",headingTag:"h2"}}),ue=new un({props:{source:"https://github.com/huggingface/transformers.js/blob/v3.0.0/docs/source/api/backends/onnx.md"}}),{c(){k=d("meta"),xe=i(),pe=d("p"),me=i(),_=d("a"),be=i(),a($.$$.fragment),ve=i(),h=d("p"),h.innerHTML=gt,ke=i(),N=d("ul"),N.innerHTML=Lt,_e=i(),T=d("p"),T.textContent=It,$e=i(),a(P.$$.fragment),he=i(),E=d("ul"),E.innerHTML=At,Ne=i(),Te=d("hr"),Pe=i(),y=d("a"),Ee=i(),a(w.$$.fragment),ye=i(),O=d("p"),O.textContent=Rt,we=i(),C=d("p"),C.innerHTML=Dt,Oe=i(),H=d("table"),H.innerHTML=jt,Ce=i(),He=d("hr"),Me=i(),M=d("a"),Xe=i(),a(X.$$.fragment),ge=i(),g=d("p"),g.textContent=Vt,Le=i(),L=d("p"),L.innerHTML=St,Ie=i(),I=d("table"),I.innerHTML=Wt,Ae=i(),Re=d("hr"),De=i(),A=d("a"),je=i(),a(R.$$.fragment),Ve=i(),D=d("p"),D.textContent=Ut,Se=i(),j=d("p"),j.innerHTML=Kt,We=i(),V=d("table"),V.innerHTML=Jt,Ue=i(),Ke=d("hr"),Je=i(),S=d("a"),Ze=i(),a(W.$$.fragment),ze=i(),U=d("p"),U.textContent=Zt,Ge=i(),K=d("p"),K.innerHTML=zt,Be=i(),qe=d("hr"),Fe=i(),J=d("a"),Ye=i(),a(Z.$$.fragment),Qe=i(),z=d("p"),z.innerHTML=Gt,et=i(),tt=d("hr"),nt=i(),G=d("a"),ot=i(),a(B.$$.fragment),it=i(),q=d("p"),q.innerHTML=Bt,st=i(),F=d("p"),F.innerHTML=qt,dt=i(),lt=d("hr"),ct=i(),Y=d("a"),rt=i(),a(Q.$$.fragment),at=i(),ee=d("p"),ee.innerHTML=Ft,ut=i(),pt=d("hr"),ft=i(),te=d("a"),xt=i(),a(ne.$$.fragment),mt=i(),oe=d("p"),oe.textContent=Yt,bt=i(),ie=d("p"),ie.innerHTML=Qt,vt=i(),kt=d("hr"),_t=i(),se=d("a"),$t=i(),a(de.$$.fragment),ht=i(),le=d("p"),le.innerHTML=en,Nt=i(),Tt=d("hr"),Pt=i(),ce=d("a"),Et=i(),a(re.$$.fragment),yt=i(),ae=d("p"),ae.innerHTML=tn,wt=i(),Ot=d("hr"),Ct=i(),a(ue.$$.fragment),Ht=i(),fe=d("p"),this.h()},l(e){const t=cn("svelte-u9bgzb",document.head);k=l(t,"META",{name:!0,content:!0}),t.forEach(n),xe=s(e),pe=l(e,"P",{}),u(pe).forEach(n),me=s(e),_=l(e,"A",{id:!0,class:!0}),u(_).forEach(n),be=s(e),p($.$$.fragment,e),ve=s(e),h=l(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-1nskovu"&&(h.innerHTML=gt),ke=s(e),N=l(e,"UL",{"data-svelte-h":!0}),r(N)!=="svelte-1nim9s8"&&(N.innerHTML=Lt),_e=s(e),T=l(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-m4kxqp"&&(T.textContent=It),$e=s(e),p(P.$$.fragment,e),he=s(e),E=l(e,"UL",{"data-svelte-h":!0}),r(E)!=="svelte-17ej4zc"&&(E.innerHTML=At),Ne=s(e),Te=l(e,"HR",{}),Pe=s(e),y=l(e,"A",{id:!0,class:!0}),u(y).forEach(n),Ee=s(e),p(w.$$.fragment,e),ye=s(e),O=l(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-g2kkoo"&&(O.textContent=Rt),we=s(e),C=l(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1ns1klp"&&(C.innerHTML=Dt),Oe=s(e),H=l(e,"TABLE",{"data-svelte-h":!0}),r(H)!=="svelte-15mkoxu"&&(H.innerHTML=jt),Ce=s(e),He=l(e,"HR",{}),Me=s(e),M=l(e,"A",{id:!0,class:!0}),u(M).forEach(n),Xe=s(e),p(X.$$.fragment,e),ge=s(e),g=l(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-19a590t"&&(g.textContent=Vt),Le=s(e),L=l(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-17jc8ku"&&(L.innerHTML=St),Ie=s(e),I=l(e,"TABLE",{"data-svelte-h":!0}),r(I)!=="svelte-1oy7vvm"&&(I.innerHTML=Wt),Ae=s(e),Re=l(e,"HR",{}),De=s(e),A=l(e,"A",{id:!0,class:!0}),u(A).forEach(n),je=s(e),p(R.$$.fragment,e),Ve=s(e),D=l(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-11755yo"&&(D.textContent=Ut),Se=s(e),j=l(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-1vudgod"&&(j.innerHTML=Kt),We=s(e),V=l(e,"TABLE",{"data-svelte-h":!0}),r(V)!=="svelte-o3zzgy"&&(V.innerHTML=Jt),Ue=s(e),Ke=l(e,"HR",{}),Je=s(e),S=l(e,"A",{id:!0,class:!0}),u(S).forEach(n),Ze=s(e),p(W.$$.fragment,e),ze=s(e),U=l(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-bsb3mu"&&(U.textContent=Zt),Ge=s(e),K=l(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-ha6bkx"&&(K.innerHTML=zt),Be=s(e),qe=l(e,"HR",{}),Fe=s(e),J=l(e,"A",{id:!0,class:!0}),u(J).forEach(n),Ye=s(e),p(Z.$$.fragment,e),Qe=s(e),z=l(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-jxwmib"&&(z.innerHTML=Gt),et=s(e),tt=l(e,"HR",{}),nt=s(e),G=l(e,"A",{id:!0,class:!0}),u(G).forEach(n),ot=s(e),p(B.$$.fragment,e),it=s(e),q=l(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-mqeide"&&(q.innerHTML=Bt),st=s(e),F=l(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-jxwmib"&&(F.innerHTML=qt),dt=s(e),lt=l(e,"HR",{}),ct=s(e),Y=l(e,"A",{id:!0,class:!0}),u(Y).forEach(n),rt=s(e),p(Q.$$.fragment,e),at=s(e),ee=l(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1djwi16"&&(ee.innerHTML=Ft),ut=s(e),pt=l(e,"HR",{}),ft=s(e),te=l(e,"A",{id:!0,class:!0}),u(te).forEach(n),xt=s(e),p(ne.$$.fragment,e),mt=s(e),oe=l(e,"P",{"data-svelte-h":!0}),r(oe)!=="svelte-193vtbe"&&(oe.textContent=Yt),bt=s(e),ie=l(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-1djwi16"&&(ie.innerHTML=Qt),vt=s(e),kt=l(e,"HR",{}),_t=s(e),se=l(e,"A",{id:!0,class:!0}),u(se).forEach(n),$t=s(e),p(de.$$.fragment,e),ht=s(e),le=l(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1djwi16"&&(le.innerHTML=en),Nt=s(e),Tt=l(e,"HR",{}),Pt=s(e),ce=l(e,"A",{id:!0,class:!0}),u(ce).forEach(n),Et=s(e),p(re.$$.fragment,e),yt=s(e),ae=l(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-488xn5"&&(ae.innerHTML=tn),wt=s(e),Ot=l(e,"HR",{}),Ct=s(e),p(ue.$$.fragment,e),Ht=s(e),fe=l(e,"P",{}),u(fe).forEach(n),this.h()},h(){c(k,"name","hf:doc:metadata"),c(k,"content",fn),c(_,"id","module_backends/onnx"),c(_,"class","group"),c(y,"id","module_backends/onnx.deviceToExecutionProviders"),c(y,"class","group"),c(M,"id","module_backends/onnx.createInferenceSession"),c(M,"class","group"),c(A,"id","module_backends/onnx.isONNXTensor"),c(A,"class","group"),c(S,"id","module_backends/onnx.isONNXProxy"),c(S,"class","group"),c(J,"id","module_backends/onnx..defaultDevices"),c(J,"class","group"),c(G,"id","module_backends/onnx..wasmInitPromise"),c(G,"class","group"),c(Y,"id","module_backends/onnx..DEVICE_TO_EXECUTION_PROVIDER_MAPPING"),c(Y,"class","group"),c(te,"id","module_backends/onnx..supportedDevices"),c(te,"class","group"),c(se,"id","module_backends/onnx..ONNX_ENV"),c(se,"class","group"),c(ce,"id","module_backends/onnx..ONNXExecutionProviders"),c(ce,"class","group")},m(e,t){rn(document.head,k),o(e,xe,t),o(e,pe,t),o(e,me,t),o(e,_,t),o(e,be,t),f($,e,t),o(e,ve,t),o(e,h,t),o(e,ke,t),o(e,N,t),o(e,_e,t),o(e,T,t),o(e,$e,t),f(P,e,t),o(e,he,t),o(e,E,t),o(e,Ne,t),o(e,Te,t),o(e,Pe,t),o(e,y,t),o(e,Ee,t),f(w,e,t),o(e,ye,t),o(e,O,t),o(e,we,t),o(e,C,t),o(e,Oe,t),o(e,H,t),o(e,Ce,t),o(e,He,t),o(e,Me,t),o(e,M,t),o(e,Xe,t),f(X,e,t),o(e,ge,t),o(e,g,t),o(e,Le,t),o(e,L,t),o(e,Ie,t),o(e,I,t),o(e,Ae,t),o(e,Re,t),o(e,De,t),o(e,A,t),o(e,je,t),f(R,e,t),o(e,Ve,t),o(e,D,t),o(e,Se,t),o(e,j,t),o(e,We,t),o(e,V,t),o(e,Ue,t),o(e,Ke,t),o(e,Je,t),o(e,S,t),o(e,Ze,t),f(W,e,t),o(e,ze,t),o(e,U,t),o(e,Ge,t),o(e,K,t),o(e,Be,t),o(e,qe,t),o(e,Fe,t),o(e,J,t),o(e,Ye,t),f(Z,e,t),o(e,Qe,t),o(e,z,t),o(e,et,t),o(e,tt,t),o(e,nt,t),o(e,G,t),o(e,ot,t),f(B,e,t),o(e,it,t),o(e,q,t),o(e,st,t),o(e,F,t),o(e,dt,t),o(e,lt,t),o(e,ct,t),o(e,Y,t),o(e,rt,t),f(Q,e,t),o(e,at,t),o(e,ee,t),o(e,ut,t),o(e,pt,t),o(e,ft,t),o(e,te,t),o(e,xt,t),f(ne,e,t),o(e,mt,t),o(e,oe,t),o(e,bt,t),o(e,ie,t),o(e,vt,t),o(e,kt,t),o(e,_t,t),o(e,se,t),o(e,$t,t),f(de,e,t),o(e,ht,t),o(e,le,t),o(e,Nt,t),o(e,Tt,t),o(e,Pt,t),o(e,ce,t),o(e,Et,t),f(re,e,t),o(e,yt,t),o(e,ae,t),o(e,wt,t),o(e,Ot,t),o(e,Ct,t),f(ue,e,t),o(e,Ht,t),o(e,fe,t),Mt=!0},p:on,i(e){Mt||(x($.$$.fragment,e),x(P.$$.fragment,e),x(w.$$.fragment,e),x(X.$$.fragment,e),x(R.$$.fragment,e),x(W.$$.fragment,e),x(Z.$$.fragment,e),x(B.$$.fragment,e),x(Q.$$.fragment,e),x(ne.$$.fragment,e),x(de.$$.fragment,e),x(re.$$.fragment,e),x(ue.$$.fragment,e),Mt=!0)},o(e){m($.$$.fragment,e),m(P.$$.fragment,e),m(w.$$.fragment,e),m(X.$$.fragment,e),m(R.$$.fragment,e),m(W.$$.fragment,e),m(Z.$$.fragment,e),m(B.$$.fragment,e),m(Q.$$.fragment,e),m(ne.$$.fragment,e),m(de.$$.fragment,e),m(re.$$.fragment,e),m(ue.$$.fragment,e),Mt=!1},d(e){e&&(n(xe),n(pe),n(me),n(_),n(be),n(ve),n(h),n(ke),n(N),n(_e),n(T),n($e),n(he),n(E),n(Ne),n(Te),n(Pe),n(y),n(Ee),n(ye),n(O),n(we),n(C),n(Oe),n(H),n(Ce),n(He),n(Me),n(M),n(Xe),n(ge),n(g),n(Le),n(L),n(Ie),n(I),n(Ae),n(Re),n(De),n(A),n(je),n(Ve),n(D),n(Se),n(j),n(We),n(V),n(Ue),n(Ke),n(Je),n(S),n(Ze),n(ze),n(U),n(Ge),n(K),n(Be),n(qe),n(Fe),n(J),n(Ye),n(Qe),n(z),n(et),n(tt),n(nt),n(G),n(ot),n(it),n(q),n(st),n(F),n(dt),n(lt),n(ct),n(Y),n(rt),n(at),n(ee),n(ut),n(pt),n(ft),n(te),n(xt),n(mt),n(oe),n(bt),n(ie),n(vt),n(kt),n(_t),n(se),n($t),n(ht),n(le),n(Nt),n(Tt),n(Pt),n(ce),n(Et),n(yt),n(ae),n(wt),n(Ot),n(Ct),n(Ht),n(fe)),n(k),b($,e),b(P,e),b(w,e),b(X,e),b(R,e),b(W,e),b(Z,e),b(B,e),b(Q,e),b(ne,e),b(de,e),b(re,e),b(ue,e)}}}const fn='{"title":"backends/onnx","local":"backendsonnx","sections":[{"title":"backends/onnx.deviceToExecutionProviders([device]) ⇒ <code> Array. < ONNXExecutionProviders > </code>","local":"backendsonnxdevicetoexecutionprovidersdevice--code-array--onnxexecutionproviders--code","sections":[],"depth":2},{"title":"backends/onnx.createInferenceSession(buffer, session_options, session_config) ⇒ <code> * </code>","local":"backendsonnxcreateinferencesessionbuffer-sessionoptions-sessionconfig--code--code","sections":[],"depth":2},{"title":"backends/onnx.isONNXTensor(x) ⇒ <code> boolean </code>","local":"backendsonnxisonnxtensorx--code-boolean-code","sections":[],"depth":2},{"title":"backends/onnx.isONNXProxy() ⇒ <code> boolean </code>","local":"backendsonnxisonnxproxy--code-boolean-code","sections":[],"depth":2},{"title":"backends/onnx~defaultDevices : <code> Array. < ONNXExecutionProviders > </code>","local":"backendsonnxdefaultdevices--code-array--onnxexecutionproviders--code","sections":[],"depth":2},{"title":"backends/onnx~wasmInitPromise : <code> Promise < any > </code> | <code> null </code>","local":"backendsonnxwasminitpromise--code-promise--any--code--code-null-code","sections":[],"depth":2},{"title":"backends/onnx~DEVICE_TO_EXECUTION_PROVIDER_MAPPING : <code> * </code>","local":"backendsonnxdevicetoexecutionprovidermapping--code--code","sections":[],"depth":2},{"title":"backends/onnx~supportedDevices : <code> * </code>","local":"backendsonnxsupporteddevices--code--code","sections":[],"depth":2},{"title":"backends/onnx~ONNX_ENV : <code> * </code>","local":"backendsonnxonnxenv--code--code","sections":[],"depth":2},{"title":"backends/onnx~ONNXExecutionProviders : <code> * </code>","local":"backendsonnxonnxexecutionproviders--code--code","sections":[],"depth":2}],"depth":1}';function xn(Xt){return sn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _n extends dn{constructor(k){super(),ln(this,k,xn,pn,nn,{})}}export{_n as component};
